Re: FC6 and libcom_err.so.3

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

 



Todd Zullinger wrote:
Tod wrote:
I recently installed subversion.  I wanted to start creating and
using a repository so I issued the svn command.  It failed due to
missing libcom_err.so.3.  I checked and it seems to belong to a
kerberos RPM.
Did you install from the Fedora rpm packages or from somewhere else?
The latest subversion for FC6 would appear to be 1.4.3-2.fc6.  That
rpm requires libcom_err.so.2:

$ rpm -qp --requires subversion-1.4.3-2.fc6.i386.rpm | grep libcom
libcom_err.so.2

Which is provided by e2fsprogs-libs:

$ rpm -q --whatprovides libcom_err.so.2
e2fsprogs-libs-1.39-7.fc6

Has anyone else run into this?
I haven't logged into my FC6 system in a few weeks or so, but svn
worked the last time I tried it, using what I believe to be the
current version.  It is possible some update since then has broken
things and I haven't noticed because I haven't logged in and updated
that system.

But I am curious to see if it isn't something I'm missing.  Its odd
that a RPM dependency would contain an older library.
I think something is amiss on your system, though I'm not sure what
that is.  Do any of the following commands report anything
interesting?

$ rpm -q --requires subversion | grep libcom
libcom_err.so.2



$ rpm -V subversion
nothing

$ locate libcom_err.so.3
nothing


$ rpm -q --whatprovides libcom_err.so.3
no package provides libcom_err.so.3



Also, what's the exact error you get when you run the svn command (and
the command you're running)?
forgot to do this, but from memory...

svn --help

libcom_err.so.3 not found and is required - or something along those lines.

I also ran these:

rpm -qa|grep -i subv
subversion-1.4.3-2.fc6

ldd /usr/bin/svn
        linux-gate.so.1 =>  (0x0012b000)
        libsvn_client-1.so.0 => /usr/local/lib/libsvn_client-1.so.0
(0x0012c000)
        libsvn_wc-1.so.0 => /usr/local/lib/libsvn_wc-1.so.0 (0x00148000)
        libsvn_ra-1.so.0 => /usr/local/lib/libsvn_ra-1.so.0 (0x00167000)
        libsvn_diff-1.so.0 => /usr/local/lib/libsvn_diff-1.so.0
(0x0016a000)
        libsvn_ra_local-1.so.0 => /usr/local/lib/libsvn_ra_local-1.so.0
(0x00170000)
        libsvn_repos-1.so.0 => /usr/local/lib/libsvn_repos-1.so.0
(0x00174000)
        libsvn_fs-1.so.0 => /usr/local/lib/libsvn_fs-1.so.0 (0x00188000)
        libsvn_fs_fs-1.so.0 => /usr/local/lib/libsvn_fs_fs-1.so.0
(0x0018c000)
        libsvn_fs_base-1.so.0 => /usr/local/lib/libsvn_fs_base-1.so.0
(0x001a0000)
        libsvn_ra_svn-1.so.0 => /usr/local/lib/libsvn_ra_svn-1.so.0
(0x001bc000)
        libsvn_ra_dav-1.so.0 => /usr/local/lib/libsvn_ra_dav-1.so.0
(0x001c9000)
        libsvn_delta-1.so.0 => /usr/local/lib/libsvn_delta-1.so.0
(0x001da000)
        libsvn_subr-1.so.0 => /usr/local/lib/libsvn_subr-1.so.0
(0x001e1000)
        libaprutil-1.so.0 => /usr/lib/libaprutil-1.so.0 (0x00202000)
        libcrypt.so.1 => /lib/libcrypt.so.1 (0x0021f000)
        libldap-2.3.so.0 => /usr/lib/libldap-2.3.so.0 (0x0024d000)
        liblber-2.3.so.0 => /usr/lib/liblber-2.3.so.0 (0x00287000)
        libdb-4.3.so => /lib/libdb-4.3.so (0x00295000)
        libapr-1.so.0 => /usr/lib/libapr-1.so.0 (0x0038c000)
        libpthread.so.0 => /lib/libpthread.so.0 (0x003b4000)
        libneon.so.25 => /usr/lib/libneon.so.25 (0x003cb000)
        libssl.so.6 => /lib/libssl.so.6 (0x003ea000)
        libcrypto.so.6 => /lib/libcrypto.so.6 (0x0042f000)
        libgssapi_krb5.so.2 => /usr/lib/libgssapi_krb5.so.2 (0x00562000)
        libkrb5.so.3 => /usr/lib/libkrb5.so.3 (0x0058d000)
        libk5crypto.so.3 => /usr/lib/libk5crypto.so.3 (0x00615000)
        libcom_err.so.2 => /lib/libcom_err.so.2 (0x0063b000)
        libresolv.so.2 => /lib/libresolv.so.2 (0x0063e000)
        libdl.so.2 => /lib/libdl.so.2 (0x00651000)
        libexpat.so.0 => /lib/libexpat.so.0 (0x00655000)
        libz.so.1 => /usr/lib/libz.so.1 (0x00676000)
        libc.so.6 => /lib/libc.so.6 (0x00689000)
        libaprutil-0.so.0 => /usr/local/apr/lib/libaprutil-0.so.0
(0x007c9000)
        libgdbm.so.2 => /usr/lib/libgdbm.so.2 (0x007dd000)
        libapr-0.so.0 => /usr/local/apr/lib/libapr-0.so.0 (0x007e4000)
        librt.so.1 => /lib/librt.so.1 (0x00802000)
        libm.so.6 => /lib/libm.so.6 (0x0080b000)
        libnsl.so.1 => /lib/libnsl.so.1 (0x00832000)
        libneon.so.24 => /usr/local/lib/libneon.so.24 (0x00849000)
        libcom_err.so.3 => not found
        libxml2.so.2 => /usr/local/lib/libxml2.so.2 (0x0085f000)
        libuuid.so.1 => /lib/libuuid.so.1 (0x00972000)
        libpq.so.4 => /usr/lib/libpq.so.4 (0x00976000)
        libsqlite3.so.0 => /usr/lib/libsqlite3.so.0 (0x00996000)
        libsasl2.so.2 => /usr/lib/libsasl2.so.2 (0x009f5000)
        /lib/ld-linux.so.2 (0x00110000)
        libkrb5support.so.0 => /usr/lib/libkrb5support.so.0 (0x00a0e000)
        libcom_err.so.3 => not found

rpm -ql e2fsprogs-libs-1.39-7.fc6
/lib/libblkid.so.1
/lib/libblkid.so.1.0
/lib/libcom_err.so.2
/lib/libcom_err.so.2.1
/lib/libe2p.so.2
/lib/libe2p.so.2.3
/lib/libext2fs.so.2
/lib/libext2fs.so.2.4
/lib/libss.so.2
/lib/libss.so.2.0
/lib/libuuid.so.1
/lib/libuuid.so.1.2

sudo yum check-update returns nothing since I had just updated prior to that.

Thanks for your responding.  Sorry it took so long to report back.

- Tod


[Index of Archives]     [Current Fedora Users]     [Fedora Desktop]     [Fedora SELinux]     [Yosemite News]     [Yosemite Photos]     [KDE Users]     [Fedora Tools]     [Fedora Docs]

  Powered by Linux